
From: Pat Gefre <pfg@sgi.com>

Some hwgraph code clean up



---

 25-akpm/arch/ia64/sn/io/sn2/pcibr/pcibr_dvr.c |    4 +-
 25-akpm/arch/ia64/sn/io/sn2/xtalk.c           |    5 ---
 25-akpm/include/asm-ia64/sn/hcl.h             |   35 +++++++++++++-------------
 3 files changed, 20 insertions(+), 24 deletions(-)

diff -puN arch/ia64/sn/io/sn2/pcibr/pcibr_dvr.c~sn01 arch/ia64/sn/io/sn2/pcibr/pcibr_dvr.c
--- 25/arch/ia64/sn/io/sn2/pcibr/pcibr_dvr.c~sn01	Thu Jan  8 15:14:11 2004
+++ 25-akpm/arch/ia64/sn/io/sn2/pcibr/pcibr_dvr.c	Thu Jan  8 15:14:11 2004
@@ -1914,9 +1914,9 @@ pcibr_detach(vertex_hdl_t xconn)
     /* Remove the Bridge revision labelled info */
     (void)hwgraph_info_remove_LBL(pcibr_vhdl, INFO_LBL_PCIBR_ASIC_REV, NULL);
     /* Remove the character device associated with this bridge */
-    (void)hwgraph_edge_remove(pcibr_vhdl, EDGE_LBL_CONTROLLER, NULL);
+    hwgraph_edge_remove(pcibr_vhdl, EDGE_LBL_CONTROLLER, NULL);
     /* Remove the PCI bridge vertex */
-    (void)hwgraph_edge_remove(xconn, EDGE_LBL_PCI, NULL);
+    hwgraph_edge_remove(xconn, EDGE_LBL_PCI, NULL);
 
     return(0);
 }
diff -puN arch/ia64/sn/io/sn2/xtalk.c~sn01 arch/ia64/sn/io/sn2/xtalk.c
--- 25/arch/ia64/sn/io/sn2/xtalk.c~sn01	Thu Jan  8 15:14:11 2004
+++ 25-akpm/arch/ia64/sn/io/sn2/xtalk.c	Thu Jan  8 15:14:11 2004
@@ -912,11 +912,6 @@ xwidget_unregister(vertex_hdl_t widget)
     if (!(widget_info = xwidget_info_get(widget)))
 	return(1);
 
-    /* Remove the inventory information associated
-     * with the widget.
-     */
-    hwgraph_inventory_remove(widget, -1, -1, -1, -1, -1);
-    
     hwid = &(widget_info->w_hwid);
 
     /* Clean out the xwidget information */
diff -puN include/asm-ia64/sn/hcl.h~sn01 include/asm-ia64/sn/hcl.h
--- 25/include/asm-ia64/sn/hcl.h~sn01	Thu Jan  8 15:14:11 2004
+++ 25-akpm/include/asm-ia64/sn/hcl.h	Thu Jan  8 15:14:11 2004
@@ -15,15 +15,18 @@
 extern vertex_hdl_t hwgraph_root;
 extern vertex_hdl_t linux_busnum;
 
+void hwgraph_debug(char *, char *, int, vertex_hdl_t, vertex_hdl_t, char *, ...);
+
+#if 1
+#define HWGRAPH_DEBUG(args) hwgraph_debug args ;
+#else   
+#define HWGRAPH_DEBUG(args)
+#endif  
 
 typedef long            labelcl_info_place_t;
 typedef long            arbitrary_info_t;
 typedef long            arb_info_desc_t;
 
-/* Support for INVENTORY */
-struct inventory_s;
-struct invplace_s;
-
 
 /* 
  * Reserve room in every vertex for 2 pieces of fast access indexed information 
@@ -51,7 +54,14 @@ struct invplace_s;
 #define HWGRAPH_EDGELBL_HW 	"hw"
 #define HWGRAPH_EDGELBL_DOT 	"."
 #define HWGRAPH_EDGELBL_DOTDOT 	".."
-#define graph_edge_place_t uint
+
+#include <asm/sn/labelcl.h>
+#define hwgraph_fastinfo_set(a,b) labelcl_info_replace_IDX(a, HWGRAPH_FASTINFO, b, NULL)
+#define hwgraph_connectpt_set labelcl_info_connectpt_set
+#define hwgraph_generate_path hwgfs_generate_path
+#define hwgraph_path_to_vertex(a) hwgfs_find_handle(NULL, a, 0, 0, 0, 1)
+#define hwgraph_edge_remove(a,b,c)
+#define hwgraph_vertex_unref(a)
 
 /*
  * External declarations of EXPORTED SYMBOLS in hcl.c
@@ -69,25 +79,16 @@ extern int hwgraph_edge_add(vertex_hdl_t
 extern int hwgraph_edge_get(vertex_hdl_t, char *, vertex_hdl_t *);
 
 extern arbitrary_info_t hwgraph_fastinfo_get(vertex_hdl_t);
-extern void hwgraph_fastinfo_set(vertex_hdl_t, arbitrary_info_t );
 extern vertex_hdl_t hwgraph_mk_dir(vertex_hdl_t, const char *, unsigned int, void *);
 
 extern int hwgraph_connectpt_set(vertex_hdl_t, vertex_hdl_t);
 extern vertex_hdl_t hwgraph_connectpt_get(vertex_hdl_t);
-extern int hwgraph_edge_get_next(vertex_hdl_t, char *, vertex_hdl_t *, uint *);
-extern graph_error_t hwgraph_edge_remove(vertex_hdl_t, char *, vertex_hdl_t *);
+extern int hwgraph_edge_get_next(vertex_hdl_t, char *, vertex_hdl_t *, unsigned int *);
 
 extern graph_error_t hwgraph_traverse(vertex_hdl_t, char *, vertex_hdl_t *);
 
 extern int hwgraph_vertex_get_next(vertex_hdl_t *, vertex_hdl_t *);
-extern int hwgraph_inventory_get_next(vertex_hdl_t, invplace_t *, 
-				      inventory_t **);
-extern int hwgraph_inventory_add(vertex_hdl_t, int, int, major_t, minor_t, int);
-extern int hwgraph_inventory_remove(vertex_hdl_t, int, int, major_t, minor_t, int);
-extern int hwgraph_controller_num_get(vertex_hdl_t);
-extern void hwgraph_controller_num_set(vertex_hdl_t, int);
-extern int hwgraph_path_ad(vertex_hdl_t, char *, vertex_hdl_t *);
-extern vertex_hdl_t hwgraph_path_to_vertex(char *);
+extern int hwgraph_path_add(vertex_hdl_t, char *, vertex_hdl_t *);
 extern vertex_hdl_t hwgraph_path_to_dev(char *);
 extern vertex_hdl_t hwgraph_block_device_get(vertex_hdl_t);
 extern vertex_hdl_t hwgraph_char_device_get(vertex_hdl_t);
@@ -100,11 +101,11 @@ extern int hwgraph_info_replace_LBL(vert
 extern int hwgraph_info_get_exported_LBL(vertex_hdl_t, char *, int *, arbitrary_info_t *);
 extern int hwgraph_info_get_next_LBL(vertex_hdl_t, char *, arbitrary_info_t *,
                                 labelcl_info_place_t *);
+extern int hwgraph_path_lookup(vertex_hdl_t, char *, vertex_hdl_t *, char **);
 extern int hwgraph_info_export_LBL(vertex_hdl_t, char *, int);
 extern int hwgraph_info_unexport_LBL(vertex_hdl_t, char *);
 extern int hwgraph_info_remove_LBL(vertex_hdl_t, char *, arbitrary_info_t *);
 extern char * vertex_to_name(vertex_hdl_t, char *, uint);
-extern graph_error_t hwgraph_vertex_unref(vertex_hdl_t);
 
 extern int init_hcl(void);
 

_
